"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AxiosConverter = void 0;
class AxiosConverter {
    static getCurl(request = {}) {
        if (!(request === null || request === void 0 ? void 0 : request.config))
            return 'Axios response is required';
        request = request.config;
        let header = '';
        Object.keys((request === null || request === void 0 ? void 0 : request.headers) || {}).forEach((r) => (header += `--header '${r}: ${request.headers[String(r)]}' `));
        let params = '';
        Object.keys((request === null || request === void 0 ? void 0 : request.params) || {}).forEach((p) => (params += `/${p}/${request.params[String(p)]}`));
        const hasQueryParams = new RegExp('\\?.*').exec(request.url) || [];
        let query = '';
        if (hasQueryParams.length) {
            query = hasQueryParams[0];
            request.url = request.url.substring(0, request.url.lastIndexOf('?'));
        }
        const body = `--data-raw '${request === null || request === void 0 ? void 0 : request.data}'`;
        const paramsUrl = `${(request === null || request === void 0 ? void 0 : request.params) ? params : ''}`;
        const curl = `curl --location -g --request ${request.method.toUpperCase()} '${request.url + paramsUrl + query}' ${header} ${(request === null || request === void 0 ? void 0 : request.data) ? body : ''}`;
        return curl.trim();
    }
}
exports.AxiosConverter = AxiosConverter;
